> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usecontextlayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a slate for a personal or organization Owner



## OpenAPI

````yaml https://platform.usecontextlayer.com/api/openapi.json post /slates
openapi: 3.1.0
info:
  title: ContextLayer Platform
  version: 0.1.0
servers:
  - url: https://platform.usecontextlayer.com/api
security: []
tags:
  - name: Slates
  - name: Slate routing
  - name: Slate resources
  - name: Accounts
  - name: Shared secrets
  - name: Agents
  - name: Agent jobs
paths:
  /slates:
    post:
      tags:
        - Slates
      summary: Create a slate for a personal or organization Owner
      operationId: createSlate
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                organization_slug:
                  type: string
                  minLength: 1
              additionalProperties: false
      responses:
        '201':
          description: >-
            Slate owned by the authenticated user or selected organization, with
            an immutable ID and public hostname
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Slate'
        '400':
          description: Invalid slate creation input
        '401':
          description: A valid ContextLayer login is required
        '404':
          description: The organization slug is not in this user's memberships
      security:
        - bearerAuth: []
        - webCookie: []
        - localWebCookie: []
components:
  schemas:
    Slate:
      type: object
      properties:
        id:
          type: string
          format: uuid
        owner_organization_id:
          type:
            - string
            - 'null'
          minLength: 1
        owner_user_id:
          type:
            - string
            - 'null'
          minLength: 1
        public_hostname:
          type: string
        visibility:
          type: string
          enum:
            - public
            - private
      required:
        - id
        - owner_organization_id
        - owner_user_id
        - public_hostname
        - visibility
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    webCookie:
      in: cookie
      name: __Secure-better-auth.session_token
      type: apiKey
    localWebCookie:
      in: cookie
      name: better-auth.session_token
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.